{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{ recipe_object.title }} - Scrumptious Recipes</title>
    <link rel="stylesheet" href="{% static 'css/recipes.css' %}">
</head>
<body>
    <header>
        <nav>
            <a class="main_link" href="{% url 'recipe_list' %}">Main page</a>
            <a class="create_link" href="{% url 'edit_recipe' id=recipe_object.id %}">Edit this recipe</a>
        </nav>
    </header>
    <main>
        <h1>{{ recipe_object.title }}</h1>
        <img src="{{ recipe_object.picture }}" alt="A plate of vegetarian tacos" class="image-taco">
        <div>4.3 stars</div>
        <p>{{ recipe_object.description }}</p>
        <h2 class="details">Ingredients</h2>
        <div></div>
            <table class="recipe_items">
                <thread>
                    <tr>
                        <th>Amount</th>
                        <th>Food Item</th>
                    </tr>
                </thread>
                <tbody>
                    {% for ingredient in recipe_object.ingredients.all %}
                    <tr>
                        <td>{{ ingredient.amount }}</td>
                        <td>{{ ingredient.food_item }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
        <h2 class="details">Steps</h2>
        <ol class="steps_list">
            {% for step in recipe_object.steps.all %}
            <li>{{ step.instruction }}</li>
            {% endfor %}
        </ol>
    </main>
    <footer>Made with love by Scrumptious Recipes</footer>
    
</body>
</html>